kopano-indexd(8)

Name
kopano-indexd — indexed search service

Synopsis
kpoano-indexd [-c config] [-S]

Description

kopano-indexd is a daemon for indexing all users' messages in a Kopano Storage Server instance. Indexing messages enhances the search performance of the kopano-server; without this daemon, it would only perform a linear search.

After starting, the index daemon will continuously update the index files while listening for connections on the configured sockets for search requests from the storage server.

Differences over kopano-search(8):

•   Hierarchy discovery: parallelized breadth-first or parallelized depth-first (via convenient_depth).

•   Persistent search connections

•   Shared-memory threadeded processing

Options

-S  Run in single-threaded mode and read commands from stdin rather than the network. This is meant as a debug mode.

-c file
    Read an alternate config file.